Browse Source

requirements.txt: Bump os-brick to 4.2.0

This change simply bumps the version of os-brick required by Nova to
version 4.2.0. This is itself required by
I9ad90817648ca12f80a6b53f6ba728df15cbafab that introduces support for
rbd volumes within the HyperV driver.

After much back and fourth it was decided to bump the required version
of os-brick ahead of that change to allow the following requirements.txt
and lower-constraints.txt changes caused by direct and in-direct
dependency changes to be documented clearly:

os-brick 4.2.0 depends on oslo.log>=4.4.0
\_ oslo-log 4.4.0 depends on python-dateutil>=2.7.0
os-brick 4.2.0 depends on oslo.serialization>=4.0.1
os-brick 4.2.0 depends on pbr>=5.5.0
os-brick 4.2.0 depends on oslo.privsep>=2.4.0
\_ oslo.privsep 2.4.0 depends on msgpack>=0.6.0
os-brick 4.2.0 depends on oslo.service>=2.4.0
os-brick 4.2.0 depends on tenacity>=6.2.0
os-brick 4.2.0 depends on oslo.context>=3.1.1
os-brick 4.2.0 depends on oslo.concurrency>=4.3.0
os-brick 4.2.0 depends on oslo.i18n>=5.0.1
os-brick 4.2.0 depends on six>=1.15.0
os-brick 4.2.0 depends on os-win>=5.1.0

The above changes have been tested with pip 21.0.1 to ensure the new
resolver is happy and that nothing has been missed.

Change-Id: Ic83f3c7c955d0df89d75f700ee4fe2bd7f715794
Implements: blueprint hyperv-rbd
changes/77/778177/2
Lee Yarwood 1 year ago
parent
commit
95fbbce8b2
  1. 28
      lower-constraints.txt
  2. 22
      requirements.txt

28
lower-constraints.txt

@ -49,7 +49,7 @@ Mako==1.0.7
MarkupSafe==1.1.1
microversion-parse==0.2.1
mock==3.0.0
msgpack==0.5.6
msgpack==0.6.0
msgpack-python==0.5.6
munch==2.2.0
mypy==0.761
@ -58,30 +58,30 @@ netifaces==0.10.4
networkx==2.1.0
numpy==1.19.0
openstacksdk==0.35.0
os-brick==3.1.0
os-brick==4.2.0
os-client-config==1.29.0
os-resource-classes==0.4.0
os-service-types==1.7.0
os-traits==2.5.0
os-vif==1.14.0
os-win==4.2.0
os-win==5.1.0
os-xenapi==0.3.4
osc-lib==1.10.0
oslo.cache==1.26.0
oslo.concurrency==3.29.0
oslo.concurrency==4.3.0
oslo.config==6.8.0
oslo.context==2.22.0
oslo.context==3.1.1
oslo.db==4.44.0
oslo.i18n==3.15.3
oslo.log==3.36.0
oslo.i18n==5.0.1
oslo.log==4.4.0
oslo.messaging==10.3.0
oslo.middleware==3.31.0
oslo.policy==3.6.0
oslo.privsep==1.33.2
oslo.privsep==2.4.0
oslo.reports==1.18.0
oslo.rootwrap==5.8.0
oslo.serialization==2.21.1
oslo.service==1.40.1
oslo.serialization==4.0.1
oslo.service==2.4.0
oslo.upgradecheck==1.3.0
oslo.utils==4.7.0
oslo.versionedobjects==1.35.0
@ -94,7 +94,7 @@ packaging==20.4
paramiko==2.7.1
Paste==2.0.2
PasteDeploy==1.5.0
pbr==2.0.0
pbr==5.5.0
pluggy==0.6.0
ply==3.11
prettytable==0.7.1
@ -116,7 +116,7 @@ pypowervm==1.1.15
pytest==3.4.2
python-barbicanclient==4.5.2
python-cinderclient==3.3.0
python-dateutil==2.5.3
python-dateutil==2.7.0
python-editor==1.0.3
python-glanceclient==2.8.0
python-ironicclient==3.0.0
@ -134,7 +134,7 @@ retrying==1.3.3
rfc3986==1.2.0
Routes==2.3.1
simplejson==3.13.2
six==1.11.0
six==1.15.0
smmap2==2.0.3
sortedcontainers==2.1.0
SQLAlchemy==1.2.19
@ -146,7 +146,7 @@ stevedore==1.20.0
suds-jurko==0.6
taskflow==3.8.0
Tempita==0.5.2
tenacity==6.0.0
tenacity==6.2.0
testrepository==0.0.20
testresources==2.0.0
testscenarios==0.4

22
requirements.txt

@ -2,7 +2,7 @@
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pbr>=5.5.0 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
decorator>=4.1.0 # BSD
eventlet>=0.26.1 # MIT
@ -32,30 +32,30 @@ requests>=2.23.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
websockify>=0.9.0 # LGPLv3
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=3.29.0 # Apache-2.0
oslo.concurrency>=4.3.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.context>=3.1.1 # Apache-2.0
oslo.log>=4.4.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.21.1 # Apache-2.0
oslo.serialization>=4.0.1 # Apache-2.0
oslo.upgradecheck>=1.3.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.messaging>=10.3.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.privsep>=1.33.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.service>=1.40.1 # Apache-2.0
oslo.privsep>=2.4.0 # Apache-2.0
oslo.i18n>=5.0.1 # Apache-2.0
oslo.service>=2.4.0 # Apache-2.0
rfc3986>=1.2.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
psutil>=3.2.2 # BSD
oslo.versionedobjects>=1.35.0 # Apache-2.0
os-brick>=3.1.0 # Apache-2.0
os-brick>=4.2.0 # Apache-2.0
os-resource-classes>=0.4.0 # Apache-2.0
os-traits>=2.5.0 # Apache-2.0
os-vif>=1.14.0 # Apache-2.0
os-win>=4.2.0 # Apache-2.0
os-win>=5.1.0 # Apache-2.0
castellan>=0.16.0 # Apache-2.0
microversion-parse>=0.2.1 # Apache-2.0
os-xenapi>=0.3.4 # Apache-2.0
@ -65,7 +65,7 @@ pypowervm>=1.1.15 # Apache-2.0
retrying>=1.3.3,!=1.3.0 # Apache-2.0
os-service-types>=1.7.0 # Apache-2.0
taskflow>=3.8.0 # Apache-2.0
python-dateutil>=2.5.3 # BSD
python-dateutil>=2.7.0 # BSD
zVMCloudConnector>=1.3.0;sys_platform!='win32' # Apache 2.0 License
futurist>=1.8.0 # Apache-2.0
openstacksdk>=0.35.0 # Apache-2.0

Loading…
Cancel
Save